source("showDatasources.R")
source("sunset_provenance_dataset_system.R")
source("sunset_provenance_dataset_reference.R")
source("sunset_provenance_dataset.R")
source("modules/Loading/Loading.R")
library(metaclipR)
library(igraph)

recipe_file <- "recipes/atomic_recipes/recipe_seasonal_provenance.yml"
recipe <- prepare_outputs(recipe_file)
data <- Loading(recipe)

metadata_graph<- sunset_provenance_dataset(recipe,recipe_file,data)
#metadata_graph<- sunset_provenance_dataset_system(recipe,recipe_file,data)
#metadata_graph<- sunset_provenance_dataset_reference(recipe,recipe_file,data)

plot(metadata_graph$graph)
graph2json(metadata_graph$graph, "/esarchive/scratch/apuiggro/sunset/graph22.json")